package com.persagy.fm.sop.model;

import com.persagy.fm.common.model.entity.AuditableEntity;
import lombok.Data;

/**
 * SOP实体
 * @author Charlie Yu
 * @date 2021-03-05
 */
@Data
public class SopDTO extends AuditableEntity {

    /** 项目主键 */
    private String projectId;
    /** 项目类型 */
    private String projectType;
    /** 名称 */
    private String sopName;
    /** 类型 */
    private String sopType;
    /** 是否有无对象的步骤 */
    private Boolean noneFlag;
    /** 专业编码 */
    private String domains;
    /** 工单类型 */
    private String orderType;
    /** 所需工具 */
    private String tools;
    /** 适用对象 */
    private String fitObjs;
    /** 设备型号 */
    private String deviceType;
    /** 自定义标签 */
    private String labels;
    /** 步骤 */
    private String steps;
    /** 相关资料 */
    private String relatedData;
    /** 状态 1-已发布、2-已作废 */
    private String sopStatus;
    /** 发布状态 1-正常、2-待修订、3-修订中 */
    private String publishStatus;
    /** 引用的sop */
    private String refSops;
    /** 版本号 */
    private String version;
    /** 版本数量 */
    private String versionCount;
    /** 版本说明 */
    private String versionExplain;

}
